{% load static from staticfiles %}	
<!DOCTYPE html>
<html>
<head>
	<title>Daftar Buku HOHOHO</title>
	

	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
	<link rel="stylesheet" type="text/css"  href="{% static "style_daftar_books.css" %}">
	<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
	<link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">

	<script src="http://ajax.googleapis.com/ajax/libs/jquery/1.5.2/jquery.min.js"></script>
	<script src="http://cdnjs.cloudflare.com/ajax/libs/modernizr/2.8.2/modernizr.js"></script>
	
		
</head>
<body>

	

	<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js"></script>
	<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js"></script>
	

	<nav class="navbar navbar-expand-sm  navbar-light  justify-content-center" id="navigasi">
  		<ul class="navbar-nav">
  			<li class="nav-item">
		      <p class="nav-link  text-center menu" href="#">Theme :</a>
		    </li>
		    <li class="nav-item">
		      <a id="btn1" class="nav-link  text-center menu" href="#">Default</a>
		    </li>
		    <li class="nav-item">
		      <a id="btn2" class="nav-link  text-center menu" href="#">Dark</a>
		    </li>
		</ul>
	</nav>
	<div class="g-signin2" data-onsuccess="onSignIn">
		{% if user.is_authenticated %}
           <div class="container-fluid text-center">
           		<p class="display-4">Hello, {{ user.first_name }}</p>
				<a  href="{% url 'logout' %}">
					<button class="btn btn-danger" id="button">Log Out</button>
				</a>
					
           </div>
            

		{% else %}
		     <a href="{% url 'social:begin' 'google-oauth2' %}"><button type="button" class="fb-btn p-2">
					Login with Google
				</button></a><br>
		{% endif %}

	</div>
	
	<div class="container-fluid">
		
		<div class="container-fluid text-center">
			<input class="m-3 form" type="text" id="myInput"  placeholder="Search for names.." title="Type in a name">		
			<input class="m-3 form" type="text" id="myCategory"  placeholder="Search for categories.." title="Type in a name">
			<button class="btn btn-light" id="submit">Submit</button>	
			
		</div>
		
		
		
		<h6 class="mt-2 mb-2">My Favorite : <span id="favorite-count"></span> </h6>
		<table id="list_buku">
			<thead>
			    <tr>
			      <th scope="col">Thumbnail</th>
			      <th scope="col">Title</th>
			      <th scope="col">Author</th>
			      <th scope="col">Published Date</th>
			      <th scope="col">Add to Favorite</th>
			    </tr>
			 </thead>
			 <tbody id="body">
			 	
			 </tbody>


		</table>
	</div>
	

	<script>
		$(document).ready(function(){
		    $("#btn1").click(function(){
		    	$("#navigasi").css({"background-color" : "white"})
		    	$(".menu").css({"color" : "rgba(0,0,0,.5)"});
		    	$("body").css({"background-color" : "white",
		    					"color" : "black"})
		    	$("tr").css({"background-color" : "white",
		    					"color" : "black"})
		    	
		    });
		    $("#btn2").click(function(){
		    	$("#navigasi").css({"background-color" : "#7f8c8d",})
		    	$(".menu").css({"color" : "white"});
		    	$("body").css({"background-color" : "#95a5a6",
		    					"color" : "white"})
		       	$("tr").css({"background-color" : "#95a5a6",
		    					"color" : "white"})

		    });

		    
		});
	</script>
	<script>
		var count = 0;
	    update_favorite();
	    function update_favorite() {
	        $('#favorite-count').text(count);
	    };

	    $(document).on('click', '#fav', function(){
	    	
        if($(this).css("color") == "rgb(0, 0, 0)"){
            count++;
            update_favorite();
            $(this).css("color", "red");
            $(this).css("font-size", "36px");
        }
        else{
	 		count--;
	    	update_favorite();
	    	$(this).css("color", "black");
			$(this).css("font-size", "24px");		    
        }
    });

	$(document).ready(function(){
	  $("#myInput").on("keyup", function() {
	    var value = $(this).val().toLowerCase();
	    $("#list_buku tr").filter(function() {
	      $(this).toggle($(this).text().toLowerCase().indexOf(value) > -1)
	    });
	  });

	  $("#submit").click(function(){
	  		var x = $('#myCategory').val();
	  		$('.row').remove();
	  		$.ajax({
			url: '/lab-6/list_books/?cari=' + x,
			success: function(result){
				console.log(result);
				var i;
				for(i = 0 ; i < result.items.length; i++){
					var tmp = "<tr class='row'><td class='row'><img src='" + result.items[i].volumeInfo.imageLinks.thumbnail + "'></img></td><td class='row'>" + result.items[i].volumeInfo.title + "</td><td class='row'>" + result.items[i].volumeInfo.authors + "</td><td class='row'>" + result.items[i].volumeInfo.publishedDate + "</td><td class = 'favorite row>"  + "<a  href ='#'>" +"<i class='material-icons' id='fav'>" +"favorite" +"</i>" + "</a>" + "</td></tr>";
					$("#list_buku").append(tmp);
				}
			}
			
		})

	  });
	});

	
	function onSignIn(googleUser) {
	  var profile = googleUser.getBasicProfile();
	  console.log('Name: ' + profile.getName());
	  console.log('Image URL: ' + profile.getImageUrl());
	}


	  
</script>
	
	
	
</body>
</html>
